<div id="app">
  <nav class="navbar navbar-expand navbar-dark bg-dark">
    <a class="navbar-brand title" [routerLink]="['/register']">
      <img src="../../../assets/img/sigital.png"
           alt="Sigital" height="30" width="80"
      /></a>
    <ul class="navbar-nav mr-auto" routerLinkActive="active">
      <li class="nav-item">
        <a href="/home" class="nav-link" routerLink="home">Accueil</a>
      </li>
      <li class="nav-item">
        <a href="/profile" class="nav-link" *ngIf="isLoggedIn" routerLink="profile">Profil</a>
      </li>
    </ul>

    <ul class="navbar-nav ml-auto" *ngIf="!isLoggedIn">
      <li class="nav-item">
        <a href="/register" class="nav-link" routerLink="register">S'inscire</a>
      </li>
      <li class="nav-item">
        <a href="/login" class="nav-link" routerLink="login">Se connecter</a>
      </li>
    </ul>

    <ul class="navbar-nav ml-auto" *ngIf="isLoggedIn">
      <li class="nav-item">
        <a href="/profile" class="nav-link" routerLink="profile">{{ username }}</a>
      </li>
      <li class="nav-item">
        <a href class="nav-link" (click)="logout()">Déconnexion</a>
      </li>
    </ul>
  </nav>

  <div class="container">
    <router-outlet></router-outlet>
  </div>
</div>
